#include "heltec.h"
#include <WiFi.h>

bool lastClientStatus = false; // Variable, um den vorherigen Status zu speichern

void setup() {
  Heltec.begin(true /* DisplayEnable Enable */, false /* LoRa Disable */, true /* Serial Enable */);
  Heltec.display->init();
  Heltec.display->flipScreenVertically();
  Heltec.display->setFont(ArialMT_Plain_16);
  Heltec.display->setTextAlignment(TEXT_ALIGN_LEFT);

  // Hotspot erstellen
  WiFi.softAP("Mugen MBX8", "12345678");

  delay(1000);

  // Initialanzeige
 Heltec.display->clear();
 Heltec.display->drawString(0, 0, "Mugen MBX8");
 Heltec.display->display();
}

void loop() {
  bool clientConnected = WiFi.softAPgetStationNum() > 0;

  // Wenn der Client-Status von "verbunden" auf "nicht verbunden" wechselt, Anzeige aktualisieren
  if (clientConnected != lastClientStatus) {
    Heltec.display->clear();
    Heltec.display->drawString(0, 0, "Mugen MBX8");
    
    // Anzeige "x" rechts oben, wenn ein Client verbunden ist
    if (clientConnected) {
      Heltec.display->drawString(116, 0, "X");
    }
    
    Heltec.display->display();
  }

  lastClientStatus = clientConnected;

  delay(1000); // Aktualisierung alle 1 Sekunde
}